import trimesh
#import pymeshlab as pml

def boolean_intersection(file1, file2, output_file):
#def boolean_intersection(file1, file2, output_file, max_diameter=10.0):
    # Load the geometries from STL files
    mesh1 = trimesh.load(file1)
    mesh2 = trimesh.load(file2)
    
    # Perform the intersection
    intersection = mesh1.intersection(mesh2)
    
    
    # Export the resulting geometry to an STL file
    #temp_file = "temp_intersection.stl"
    intersection.export(output_file)
    
    # Use PyMeshLab to remove unconnected components
    # ms = pml.MeshSet()
    # ms.load_new_mesh(temp_file)
    # ms.meshing_remove_connected_component_by_diameter()
    # ms.meshing_remove_connected_component_by_diameter(maxdiameter=max_diameter)
    
    # # Save the cleaned mesh to the output file
    # ms.save_current_mesh(output_file)
    return output_file